Skip to Content
Author's profile photo Masayuki Sekihara

SAP Fiori LL13 – Installing Process Gateway IW_PGW on NetWeaver 7.40

SAP Fiori Lessons Learned 13

 

Installing Process Gateway IW_PGW on NetWeaver 7.40

 

Background:

Your system is NetWeaver 7.40.

  • SAP_UI– UI add-on components are installed in a part of 7.40
  • SAP_GWFND – Gateway components are installed in a part of 7.40
  • IW_PGW– Process Gateway is required for approve apps.

 

Lessons Learned:

Issues:

  • You will get following errors when installing IW_PGW.

http://scn.sap.com/servlet/JiveServlet/download/38-244409/ll13-1.png

  • To install IW_PGW, system saysIW_BEP is required

/wp-content/uploads/2014/01/ll13_2_364950.png

  • But IW_BEP was installed in a part of SAP_GWFND

/wp-content/uploads/2014/01/ll13_3_364951.png

Solution:

  • Install ACP: Attribute Change Package.

Note 1707368 – Installation IW_GIL, IW_HDB, IW_PGW, IW_SPI 100 on NW 7.0x

http://scn.sap.com/servlet/JiveServlet/download/38-244410/ll13-4.png

http://scn.sap.com/servlet/JiveServlet/download/38-244402/ll13-5.png

 

Regards,

Masa

SAP Rapid Innovation Group – RIG

Assigned Tags

      12 Comments
      You must be Logged on to comment or reply to a post.
      Author's profile photo Former Member
      Former Member

      Hi Masayuki,

      The solution works perfectly in NW7.4, but we only have IW_PGW 100 SP 00. The Fiori media comes with the SP03 SAR, but we don't have SP 01 and 02...

      Does Fiori really need IW_PGW SP03 With NW7.4 for, say, Approve Purchase Order?

      Thank you,

      Author's profile photo Masayuki Sekihara
      Masayuki Sekihara
      Blog Post Author

      You need IW_PGW for all approval apps in old Fiori version.

      For new version, IW_PGW is only required for "Approve Requests" app.

      You can download support packages from http://service.sap.com/swdc.

      Author's profile photo Usha Krishnakumar
      Usha Krishnakumar

      Hello Masa,

      A quick confirmation to the statement above : We are planning to install Wave 2 "Approve Travel expense" app and we doubt if we require IW_PGW component.

      As i see the above reply from you that its required only for "Approve Requests" app.

      Also if we need task processing for this app (in wave 2)?

      Thanks,

      Usha

      Author's profile photo Masayuki Sekihara
      Masayuki Sekihara
      Blog Post Author

      My previous comment was for initial released old apps.

      Now, IW_PGW is used only Fiori Approve Requests app.

      Author's profile photo Usha Krishnakumar
      Usha Krishnakumar

      Thanks for the response Masa.

      Only Approve requests fiori app requires the "IW_PGW" component.

      Thanks for the confirmation.

      Regards,

      Usha

      Author's profile photo Prasanna Prabhu
      Prasanna Prabhu

      Hi Masayuki,

      Could you please share any links that contains the detailed information task gateway for the approval?

      Regards,

      Prasanna

      Author's profile photo Masayuki Sekihara
      Masayuki Sekihara
      Blog Post Author
      Author's profile photo Prasanna Prabhu
      Prasanna Prabhu

      Thanks a lot for the inputs.. 🙂

      Author's profile photo Olga Lykova
      Olga Lykova

      Hi, I have already installed thius component. But I still have dump and cant install IW_BEP 200. Maybe I have to install some aditional components?

      Untitled.jpg

      Best regards,

      Olga

      Author's profile photo Masayuki Sekihara
      Masayuki Sekihara
      Blog Post Author

      Please post questions as discussion.Start a discussion

      Author's profile photo Hassan MOUBTAKIR
      Hassan MOUBTAKIR

      Thanks for this interesting blog,

       

      In the solution what do you mean by

      • Install ACP: Attribute Change Package.

      ACP of what component ?

       

      Best wishes

      Author's profile photo Masayuki Sekihara
      Masayuki Sekihara
      Blog Post Author

      IW_PGW in this case.